On-Premises API was officially sunset on October 23, 2025 and is no longer available. Please use Cloud API instead.
/v1/stickerpacks/{stickerpack-id}/sticker
Use this request to retrieve stickers from a given stickerpack:
GET /v1/stickerpacks/stickerpack-id/stickers?namespace=whatsapp
The response looks like this:
{
"stickers": [
{"index": "sticker-index1"},
{"index": "sticker-index2"}
]
}
Use this request to retrieve stickers from a given stickerpack:
GET /v1/stickerpacks/stickerpack-id/stickers
The response looks like this:
{
"stickers": [
{"index": "sticker-index1"},
{"index": "sticker-index2"}
]
}
Request:
GET /v1/stickerpacks/stickerpack-id/stickers/sticker-index?namespace=whatsapp
The response looks like this:
{
"stickers": [
{
"id": "sticker-media-id" # ex: b942a4d1-4e1d-4c56-8cfa-a848b8222061
"emojis": ["🐥", "😃"],
}
]
}
Request:
GET /v1/stickerpacks/stickerpack-id/stickers/your-sticker-index
The response looks like this:
{
"stickers": [
{
"id": "sticker-media-id" # ex: b942a4d1-4e1d-4c56-8cfa-a848b8222061
"emojis": ["🐥", "😃"],
"image_data_id" : "sticker-image-media-id",
}
]
}
Use the following request to create stickers:
POST /v1/stickerpacks/stickerpack-id/stickers
{
"image_data_id" : "your-sticker-image-media-id",
"emojis": ["🐥", "😃"]
}
The response looks like this:
{
"stickers": [{
"index": "sticker-index"
}]
}
| Name | Description |
|---|---|
| Required. The ID for the sticker media. |
| Optional. An array of the emojis included in the stickerpack. |
Use the following request to update a specific sticker:
PATCH /v1/stickerpacks/your-sticker-pack-id/stickers/your-sticker-index
{
"image_data_id" : "your-sticker-image-media-id",
"emojis": ["🐥", "😃"],
}
A successful response will show 200 OK and either null or {}.
| Name | Description |
|---|---|
| Optional. The ID for the sticker media. |
| Optional. An array of the emojis included in the stickerpack. |
Use the following request to delete a specific sticker:
DELETE /v1/stickerpacks/your-sticker-pack-id/stickers/your-sticker-index
A successful response will show 200 OK and either null or {}.